<div *ngIf="!flow_child.is_expand || no_data_found" class="row mb-1 mt-3">
  <div *ngIf="!no_data_found" class="col-sm-9 pr-0" style="margin-left: 0%;">
    <div class="card border-0 box-shadow-none border-radius-10 bg-transparent"
      style="margin-left: 3.7rem;margin-right: 0.3rem;">
      <div (click)="toggle_entity(null, null);"
        class="card-header d-flex collapsed-card-border pr-0 align-items-center card-shadow bg-white border-radius-10 cursor">
        <div class="card-header-title dashboard-tile-title cursor custom-mouseover">
          <span class="mr-2"><i class="las la-angle-right f-20"></i></span>
          <span class="dashboard-tile-title fw-400">{{flow_child.view_name}}</span>
        </div>
      </div>
    </div>
  </div>
  <div *ngIf="no_data_found" class="col-sm-9 pr-0">
    <div class="card card-shadow" style="min-height:487px;margin-left: 3.7rem;margin-right: 0.3rem;">
      <div class="card-header with-elements pr-0 align-items-center card-bb-color">
        <div class="card-header-title dashboard-tile-title cursor custom-mouseover">
          <span class="mr-2"><i class="las la-angle-down f-20"></i></span><span
            class="dashboard-tile-title fw-400">{{flow_child.view_name}}</span>
        </div>
      </div>
      <flow-error></flow-error>
    </div>
  </div>
  <div class="col-sm-3 pt-4">
    <p class="f-14"></p><!-- //right side title for some content  -->
  </div>
</div>
<div *blockUI="blockUIName; template: blockTemplate" class="custom-bg-block-ui">
  <div id="flow_container" [hidden]="!flow_child.is_expand || no_data_found"
    class="row  mt-3 ml-0 mr-0 flow_container fullscreen_{{is_fullscreen_view}}" (scroll)="onScroll($event)"
    style="flex-wrap: unset;min-height:400px;padding-left: 3rem;;overflow-x: auto;overflow-y: hidden;padding-bottom:20px;">
    <div
      style="position: absolute; height:510px;background-image:linear-gradient(to right, rgba(246, 246, 246,1),rgba(246, 246, 246,0));left:0;width:70px;z-index: 1087;">
      <div>
        <app-hint [id]="'slide-card'" *ngIf="flow_index == 0 && scroll_position.active!='left'"></app-hint>
        <div *ngIf="scroll_position.active != 'left'" (click)="scroll_flow('left')" class="slideLeft">
          <!-- <i class="las la-angle-left" style="font-size: 16px;"></i> -->
          <img src="../../../assets/imgs/LftArrow.svg">
        </div>
      </div>
    </div>
    <div
      style="position: absolute; height:510px;background-image: linear-gradient(to right, rgba(246, 246, 246,0),rgba(246, 246, 246,1));right:0;width:70px;z-index: 1087;">
      <div *ngIf="scroll_position.active == 'left'" (click)="scroll_flow('center')" class="slideRight">
        <!-- <i class="las la-angle-right" style="font-size: 16px;"></i> -->
        <img src="../../../assets/imgs/LftArrow.svg">
      </div>
    </div>
    <div class="{{ scroll_position.class }}">
      <div class="card card-shadow border-radius-10 flow-entity-popup" id="fc_market_basket_table"
        style="min-height: 487px;">
        <div class="card-header with-elements pr-0 card-bb-color popupTable">
          <div class="card-header-title dashboard-tile-title cursor ">
            <span
              class="dashboard-tile-title fw-400">{{(scroll_position.class == 'col-sm-4')?'Data':flow_child.view_name}}</span>
          </div>
          <div class="ml-auto btn-group btn-group-xs btn-group-toggle align-items-center mr-2" >
            <div class="mr-2" *ngIf="mba_of.type!='summary'">
<!-- 
              <div class="btn-group btn-group-sm btn-group-toggle enginetab-bg">
                <label class="btn btn-default cursor enginetab-active mx-0">Overall</label>
                <label class="btn btn-default cursor enginetab-inactive mx-0">Checks w/ items</label>

              </div> -->
            </div>
            <div class="ml-1" *ngIf="mba_of.type!='summary'&&!is_fullscreen_view">
              <button class="btn p-1" [disabled]="no_data_found" ngbTooltip="View data in full screen"
                placement="bottom" container="body" (click)="fullScreen('fc_market_basket_table', 'custom')">
                <i class="las la-expand f-20 custom-mouseover"></i></button>
            </div>
            <div class="ml-1" *ngIf="mba_of.type!='summary'&&is_fullscreen_view">
              <button class="btn p-1" ngbTooltip="Close" placement="bottom"
                (click)="fullScreen('fc_market_basket_table', 'custom');">
                <i class="ion-md-close f-18 pr-1 custom-mouseover"></i></button>
            </div>
          </div>
        </div>
        <div class="card p-4 cardPanel mb-4" style="display: contents;padding: 0px;">

          <div *ngIf="mba_of.type=='summary'" class="card-body p-0">
            <div class="col-md-12 pr-0">
              <div class="box">
                <div class="plan-selection">
                  <div class="plan-data">

                    <label for="question1">Gross Sales</label>
                    <p class="plan-text">
                      check sales with items</p>
                    <span class="plan-price">${{flow_result?.item[1]?.with_value | number: '1.0-0'}}</span>
                    <p class="plan-text">
                      check sales without items</p>
                    <span class="plan-price">${{flow_result?.item[1]?.without_value | number: '1.0-0'}}</span>
                    <p class="plan-text">
                      item Sales</p>
                    <span class="plan-price">${{flow_result?.item[0]?.with_value | number: '1.0-0'}}</span>
                  </div>
                </div>
                <div class="plan-selection">
                  <div class="plan-data">

                    <label for="question1">Net Sales</label>
                    <p class="plan-text">
                      check sales with items</p>
                    <span class="plan-price">${{flow_result?.item[2]?.with_value | number: '1.0-0'}}</span>
                    <p class="plan-text">
                      check sales without items</p>
                    <span class="plan-price">${{flow_result?.item[2]?.without_value | number: '1.0-0'}}</span>
                  </div>
                </div>
                <div class="plan-selection">
                  <div class="plan-data">
                    <label for="question1">Check Count</label>
                    <p class="plan-text">
                      with items</p>
                    <span class="plan-price">{{flow_result?.checks[0]?.with_value | number: '1.0-0'}}</span>
                    <p class="plan-text">
                      without items</p>
                    <span class="plan-price">{{flow_result?.checks[0]?.without_value | number: '1.0-0'}}</span>
                  </div>
                </div>
              </div>

            </div>
          </div>

          <div *ngIf="mba_of.type!='summary'" class="card-body p-0"
            [ngStyle]="{'max-height': (is_fullscreen_view)?'initial':'430px'}" style="overflow:hidden;overflow-y:auto;"
            [perfectScrollbar]>
            <div class="table-responsive" id="market_basket_table">
              <table *ngIf="freqent_items.length>0" class="table  mb-table">
                <thead>
                  <tr>
                    <th style="padding-left: 1.5rem !important;">Item</th>
                    <th>{{freqent_items[0].name_1}} ($)</th>
                    <th>{{freqent_items[0].name_1}} (% of Total)</th>
                    <th>{{freqent_items[0].name_2}} (#)</th>
                    <th>{{freqent_items[0].name_2}} (% of Total)</th>
                    <th *ngIf="freqent_items[0].name_3">Items (#)</th>
                    <th *ngIf="freqent_items[0].name_3">Items per Check (#)</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let items of freqent_items; index as i">
                    <td>{{items.item_description}}</td>
                    <td>$ {{items.value_1 | number: '1.0-0'}}</td>
                    <td>{{items.value_1_per}} %</td>
                    <td>{{items.value_2}}</td>
                    <td>{{items.value_2_per}} %</td>
                    <td *ngIf="items.value_3">{{items.value_3}}</td>
                    <td *ngIf="items.value_3">{{items.value_3_per}}</td>
                  </tr>

                </tbody>
              </table>
            </div>
          </div>

        </div>
      </div>
    </div>
    <div class="col-sm-9">
      <div class="card card-shadow border-radius-10" style="min-height:487px;" id="fullscreen_market_basket_charts">
        <div class="card-header with-elements pr-0 align-items-center card-bb-color">
          <div (click)="toggle_entity(null, null);"
            class="card-header-title dashboard-tile-title cursor custom-mouseover"> <span class="mr-2"><i
                class="las la-angle-down f-20"></i></span><span
              class="dashboard-tile-title fw-400">{{flow_child.view_name}}</span></div>
          <div class="ml-auto btn-group btn-group-xs btn-group-toggle align-items-center mr-2">
            <div class="mr-2">
              <!-- <div class="btn-group btn-group-sm btn-group-toggle enginetab-bg">
                <label class="btn btn-default cursor enginetab-active mx-0">Actual</label>
                <label class="btn btn-default cursor enginetab-inactive mx-0">Weighted</label>

              </div> -->
            </div>
            <div class="ml-1" *ngIf="!is_fullscreen_view">
              <button class="btn p-1" ngbTooltip="View visualization in full screen" placement="bottom" container="body"
                (click)="fullScreen('fullscreen_market_basket_charts', 'custom');isCustomActive('fullScreen')"
                [ngClass]="fullScreen == 'chartType' ? 'icon-active' : ''">
                <i class="las la-expand f-20 custom-mouseover"></i></button>
            </div>
            <div class="ml-1" *ngIf="is_fullscreen_view">
              <button class="btn p-1" ngbTooltip="Close" placement="bottom"
                (click)="fullScreen('fullscreen_market_basket_charts', 'custom');">
                <i class="ion-md-close f-18 pr-1 custom-mouseover"></i></button>
            </div>
          </div>
        </div>


        <div *ngIf="mba_of.type=='summary'" class="card-body pb-0">
          <div class="row" *ngIf="flow_result" id="market_basket_charts">
            <div class="col-md-4" style="border-right:1px solid #DDDDDD;">
              <div>
                <div class="text-center prime-title WSF text-gray33 fw-500" style="margin-bottom:15px">Item Sales:</div>
                <ng-container *ngFor="let items of flow_result.item;index as index;">
                  <div class="d-flex justify-content-center" style="margin-top:-15px">
                    <div class="align-self-center" style="width: 100px;">
                      <div class="text-right prime-title WSF fw-700"><span
                          *ngIf="index!=0">$</span>{{items.with_value|number: '1.0-0'}}</div>
                      <div class="text-right text-gray55"><span *ngIf="index!=0" class="text-gray55">in
                        </span>{{items.label}}</div>
                    </div>
                    <div id="items{{index}}" style="width: 125px;height: 125px;"></div>
                  </div>

                </ng-container>
              </div>
            </div>
            <div class="col-md-8 p-0">
              <div class="row">
                <div class="col-md-12 text-center prime-title WSF text-gray33 fw-500" style="margin-bottom:15px">Checks
                  with this item drove:
                </div>
                <div class="col-md-5 pr-0">
                  <div>
                    <ng-container *ngFor="let items of flow_result.checks;index as index;">
                      <div class="d-flex flex-row-reverse" style="margin-top:-15px">
                        <div id="checks{{index}}" style="width: 125px;height: 125px;"></div>
                        <div class="align-self-center">
                          <div class="text-right prime-title WSF fw-700"><span
                              *ngIf="index!=0">$</span>{{items.with_value|number: '1.0-0'}}</div>
                          <div class="text-right text-gray55">of {{items.label}}</div>
                        </div>
                      </div>
                    </ng-container>
                  </div>

                </div>
                <div class="col-md-7 pl-0 pr-5">
                  <ng-container *ngFor="let items of flow_result.lift;index as index;">
                    <div [ngClass]="index==0?'mb-2':''">
                      <div class="row">
                        <div class="ml-auto col-auto text-center text-gray77 f-10 fw-500" style="width: 220px;">
                          {{items.chart_title}}</div>
                      </div>
                      <div class="d-flex flex-row-reverse">
                        <div id="lift{{index}}" class="no_highcharts-grid-line" style="width: 220px;height:160px"></div>
                        <div class="align-self-center">
                          <div class="text-right">
                            <i class="fa fa-caret-down color-red" *ngIf="items.with_percentage<0"></i>
                            <i class="fa fa-caret-up color-green" *ngIf="items.with_percentage>0"></i>
                            <span class="ml-2 prime-title WSF fw-700">{{items.with_percentage}}%</span>
                          </div>
                          <div class="text-right text-gray55">{{items.label}}</div>
                        </div>
                      </div>
                    </div>
                  </ng-container>
                </div>
              </div>
            </div>
          </div>
          <!-- <div class="tile-wrapper" id="market_basket_charts">
            <div class="tile-container" *ngIf="flow_result">
              <div class="tile" style="border-right: 1px solid #dddddd;margin-right: 7em;
              margin-left: 7em;"> 
                <h5 class="marketbasket_label">Sale of this item was:</h5>
                <ng-container *ngFor="let items of flow_result.item;index as index;">
                    <div class="title_card">
                      <h6 class="tile-title">${{items.with_value|number: '1.0-0'}}</h6>
                      <div class="tile-caption">of your total {{items.label}}</div>
                    </div>
                    <div id="items{{index}}" class="total_sales hc_div default-chart-color"></div>
                </ng-container>                
              </div>
              <div class="tile">
                <h5 class="marketbasket_label2" style="margin-left: 10px;">Checks with this item contributed to:</h5>
                <ng-container *ngFor="let items of flow_result.checks;index as index;">
                  <div class="title_card">
                    <h6 class="tile-title">${{items.with_value|number: '1.0-0'}}</h6>
                    <div class="tile-caption">of your total {{items.label}}</div>
                  </div>
                  <div id="checks{{index}}" class="total_sales hc_div default-chart-color"></div>
                </ng-container>
                </div>
              <div class="tile" style="margin-left: 10em;">
                <ng-container *ngFor="let items of flow_result.lift;index as index;">
                  <div class="title_card">
                    <h6 class="tile-title-lift_check">{{items.with_percentage}}%</h6>
                    <i class="fa fa-caret-down text-large" *ngIf="items.with_percentage<0"></i>
                    <i class="fa fa-caret-up caret-up-lift" *ngIf="items.with_percentage>0"></i>
                    <div class="tile-lift_check">{{items.label}}</div>
                  </div>
                  <p style="position: absolute;">{{items.chart_title}}</p>
                  <div id="lift{{index}}"  class="lift_check"></div>
                </ng-container>
                </div>
              </div>
          </div>  -->


        </div>

        <div *ngIf="mba_of.type!='summary'" class="card-body p-0"
          [ngStyle]="{'max-height': (is_fullscreen_view)?'initial':'430px'}" style="overflow: hidden;overflow-y: auto;"
          [perfectScrollbar]>
          <div id="market_basket_charts">
            <div class="row m-0">
              <div *ngFor="let items of freqent_items; index as i" class="mb-border"
                [ngClass]="is_fullscreen_view ? 'col-md-2 p-3' : 'col-md-3 p-3' ">
                <div class="row m-0">
                  <div class="col-sm-12 p-2 light-gray-bg"
                    style="border-radius: 5px; white-space: nowrap; text-overflow: ellipsis; overflow: hidden;"
                    placement="bottom" [ngbTooltip]="items.item_description">
                    <span class="text-gray55 fw-500 WSF f-14"><span [ngClass]="i==0?'text-gray99':''">#{{i+1}}
                      </span>{{items.item_description}}</span>
                  </div>
                  <div class="col-sm-12 pb-2">
                    <div class="row align-items-center justify-content-md-center">
                      <div id="{{items.chart_index+items.name_1}}" class="hc_div default-chart-color" placement="top"
                        [ngbTooltip]="items.value_1_per+'% of Overall '+items.name_1"
                        style="width: 100px;height:100px; margin-left: -16px;"></div>
                      <div class="col-md-5 p-0">
                        <div class="prime-title WSF fw-700">${{items.value_1|number: '1.0-0'}}</div>
                        <div class="text-gray55">in {{items.name_1}}</div>
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-12 pb-2" style="margin-top:-25px;">
                    <div class="row align-items-center justify-content-md-center">
                      <div id="{{items.chart_index+items.name_2}}" class="hc_div default-chart-color" placement="top"
                        [ngbTooltip]="items.value_2_per+'% of Overall '+items.name_2"
                        style="width: 100px;height:100px; margin-left: -16px;"></div>
                      <div class="col-md-5 p-0">
                        <div class="prime-title WSF fw-700">{{items.value_2|number: '1.0-0'}}</div>
                        <div class="text-gray55">in {{items.name_2}}</div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="row m-0 justify-content-md-center">
                  <div class="col-md-11 p-0 row">
                    <ng-container *ngIf="items.name_3">
                      <div class="col-sm-8 p-0">
                        <div class="row justify-content-md-center">
                          <div class="col-auto px-1">
                            <i class="las la-file-invoice f-20 custom-mouseover"></i>
                          </div>
                          <div>
                            <div class="prime-title fw-700 WSF">{{items.value_3_per}}</div>
                            <div class="text-gray55">Items per Check</div>
                          </div>
                        </div>
                      </div>
                      <div class="col-sm-4 p-0">
                        <div class="row ">
                          <div class="col-auto px-1">
                            <i class="las la-cube f-20 custom-mouseover"></i>
                          </div>
                          <div>
                            <div class="prime-title fw-700 WSF">{{items.value_3|number: '1.0-0'}}</div>
                            <div class="text-gray55">Items</div>
                          </div>
                        </div>
                      </div>
                    </ng-container>
                  </div>

                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- <div class="col-sm-3">
      <div style="min-height: 487px;"></div>
    </div> -->
    <div class="col-sm-3">
      <app-hint [id]="'summary'"></app-hint>
      <ngb-tabset class="nav-tabs-top flowtab">
        <ngb-tab *ngFor="let tab of flow_child?.hs_info">
          <ng-template ngbTabTitle>
            <span class="tab-title text-capitalize">{{tab.name}}</span>
          </ng-template>
          <ng-template ngbTabContent>
            <div class="card-body" style="padding-bottom:10px !important;  overflow: hidden;overflow-y: auto;"
              [perfectScrollbar]>
              <div class="f-14" [innerHTML]='tab.description | safeHtml'></div>
            </div>
          </ng-template>
        </ngb-tab>
      </ngb-tabset>
    </div>
  </div>
  <div class="row switching-tab-mt" *ngIf="flow_child.is_expand && !no_data_found">
    <div class="col-sm-9 ml-5">
      <div class="mx-auto text-center switch-tab-height">
        <div *ngIf="flow_child.is_expand && !no_data_found">
          <span class="ml-1">
            <button class="btn p-1 " (click)="scroll_flow('left')">
              <app-hint [id]="'data-view'" *ngIf="flow_index == 0" (click)="$event.stopPropagation()"></app-hint>
              <div>
                <i class="fas fa-circle f-5 border-100"
                  [ngClass]=" scroll_position.active == 'left' ? 'blue-dot' : 'gray-dot' "></i>
              </div>
              <div>
                <i class="las la-table f-20" [ngClass]="scroll_position.active == 'left' ? '' : 'gray-text'"
                  ngbTooltip="Data View" placement="bottom" container="body"></i>
              </div>
            </button>
          </span>
          <span class="ml-1">
            <button class="btn p-1 " (click)="scroll_flow('center')">
              <div>
                <i class="fas fa-circle f-5 border-100 blue-dot"></i>
              </div>
              <div>
                <i class="las la-chart-bar f-20" ngbTooltip="Visualization" placement="bottom" container="body"></i>
              </div>
            </button>
          </span>
          <span class="ml-1">
            <button class="btn p-1 " (click)="scroll_flow('right')">
              <div>
                <i class="fas fa-circle f-5 border-100"
                  [ngClass]=" scroll_position.active == 'right' || scroll_position.active == 'center' ? 'blue-dot' : 'gray-dot' ">
                </i>
              </div>
              <div>
                <i class="las la-lightbulb f-20" ngbTooltip="Insights" placement="bottom" container="body"
                  [ngClass]=" scroll_position.active == 'right' || scroll_position.active == 'center' ? '' : 'gray-text' "></i>
              </div>
            </button>
          </span>
        </div>
      </div>
    </div>
    <div class="col-md-3"></div>
  </div>
  <div class="col-md-9 position-relative">
    <div class="connecting_line_mb_bottom"
      style="position: absolute;bottom:-75px; right:25px;width:2px;background: #C4C4C4;height: 120px;"></div>
  </div>
</div>
<ng-template #blockTemplate>
  <div class="block-ui-template custom-bg-block-ui mb-3">
    <div class="app-splash-screen ">
      <div class="new-app-splash-screen-content text-center">
        <!-- <img src="../../assets/img/card-hx-loader.svg" class="card-loader-svg" /> -->
        <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
          style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;" viewBox="0 0 100 100"
          preserveAspectRatio="xMidYMid">
          <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
            <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
              repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s">
            </animate>
          </circle>
          <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
            <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
              repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
              begin="-0.44999999999999996s"></animate>
          </circle>
          <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
            <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
              repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s">
            </animate>
          </circle>
          <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
            <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
              repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s">
            </animate>
          </circle>
        </svg>
        <span class="loading-text-material"> </span></div>
    </div>
  </div>
</ng-template>